<?
include ('dynCalendar.php');
$cal = new dynCalendar();
$cal->defaultSpansAdditionalParameters = array('person_id' => 1);

// Add spans
$cal->addSpan(new dynCalendarSpan(1, 0, new dynCalendarDate(2004, 8, 1), new dynCalendarDate(2004, 8, 15), 0, '', array('person_id' => 1)));
$cal->addSpan(new dynCalendarSpan(2, 1, new dynCalendarDate(2004, 8, 1), new dynCalendarDate(2004, 8, 3), 0, '', array('person_id' => 1)));
$cal->addGroup(new dynCalendarGroup('vert', '#00ff00'));
$cal->addGroup(new dynCalendarGroup('rouge', '#ff0000'));

if (isset($_POST['submit'])) {  
  /*
  if (isset($_POST['addedSpans'])) {
    echo 'Added spans : <br />';
    print_r($_POST['addedSpans']);
    echo '<br />';
    echo '<br />';
  }
  if (isset($_POST['modifiedSpans'])) {
    echo 'Modified spans : <br />';
    print_r($_POST['modifiedSpans']);
    echo '<br />';
    echo '<br />';
  }
  if (isset($_POST['removedSpans'])) {
    echo 'Removed spans : <br />';
    print_r($_POST['removedSpans']);
    echo '<br />';
    echo '<br />';
  }
  */
  
  echo '<textarea style="width: 100%; height: 150px;">';
  print_r($cal->buildMySQLQueries('table', $_POST['addedSpans'], $_POST['modifiedSpans'], $_POST['removedSpans']));
  echo '</textarea>';

  echo '<br />';
  echo '<br />';
  echo '<hr />';
  echo '<br />';
}
?>

<html>
  <head>
    <script type="text/javascript" src="dynCalendarModification.js"></script>
    <script type="text/javascript" src="dynCalendarGroup.js"></script>
    <script type="text/javascript" src="dynCalendarSpan.js"></script>
    <script type="text/javascript" src="dynCalendar.js"></script>
    <style>
      div.dynCalendar td {
        width: 50px;
        height: 50px;
        vertical-align: middle;
        border: 1px #dddddd solid;
      }

      div.dynCalendar td.currentDay {
        border: 1px black solid;
      }

      div.dynCalendar td div {
        width: 100%;
        height: 90%;
        position: relative;
      }

      div.dynCalendar td div span {
        top: 0;
        left: 0;
        position: absolute;
        z-index: 100;
      }

      div.dynCalendar td div table.groups {
        bottom: 0;
        left: 0;
        position: absolute;
        z-index: 0;       
      }      

      div.dynCalendar td div table.groups td {
        height: 4px;
      }
      
      div.dynCalendar td div table.groups tr {
        border: 0;
        margin: 0;
      }
    </style>
  </head>
  <body>

  <form method="post">
  <div id="dataContainer">
  </div>
  <div class="dynCalendar">
    <div id="controlBar">
      <button onclick="cal.onPreviousMonth(); return false;">&lt;&lt;</button>
      <select id="month" onchange="cal.onSelChangeMonth()">
        <option value="0">Janvier</option>
        <option value="1">Fvrier</option>
        <option value="2">Mars</option>
        <option value="3">Avril</option>
        <option value="4">Mai</option>
        <option value="5">Juin</option>
        <option value="6">Juillet</option>
        <option value="7">Aout</option>
        <option value="8">Septembre</option>
        <option value="9">Octobre</option>
        <option value="10">Novembre</option>
        <option value="11">Dcembre</option>
      </select>
      <select id="year" onchange="cal.onSelChangeYear()">
        <?=$cal->getYearsOptions(4);?>
      </select>
      <button onclick="cal.onNextMonth(); return false;">&gt;&gt;</button>
    </div>
    <br />
    <div>
      Mode d'dition
      <select id="editMode" onchange="cal.onChangeEditMode()">
        <option value="0">Ajouter</option>
        <option value="1">Supprimer</option>
      </select>
      <select id="editedGroup" onchange="cal.onChangeEditedGroup()">
        <?=$cal->getGroupsOptions(4);?>
      </select>
      <!--
      Priodique <select id="period" onchange="cal.onChangePeriod()" disabled>
        <option value="0">non</option>
        <option value="7">1 semaine</option>
        <option value="14">2 semaines</option>
      </select>
      -->
    </div>
    <br />    
    <div id="calendarContents"></div>
    <br />
    <button onclick="cal.onCancelModifications(); return false;">Annuler les modifications</button>
    <input type="submit" name="submit" value="Enregistrer les modifications" onclick="return cal.onSubmit()" />
    <button onclick="cal.onDisplayModifications(); return false;">Afficher / Masquer les modifications</button>
    <div id="modifications"></div>
  </div>
  </form>
  
  <script type="text/javascript">
    cal = new dynCalendar('cal', 'calendarContents', 'month', 'year', 'editMode', 'editedGroup', 'modifications', 'period', 'dataContainer', 'currentDay', 'groups');
    <?=$cal->copyToJSVar('cal')?>
    cal.render();
  </script>

  </body>
</html>
